summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Aaditya Bagga <aaditya_gnulinux@zoho.com>2014-03-07 16:22:04 -0600
committer Erik Hanson <erik@slackbuilds.org>2014-03-07 16:29:11 -0600
commite2402be946f44536dd90ac69d2f447558b14541a (patch)
tree173f5d346189d8e417648b688dd48d1efa3e41a9 /graphics
parent72ed6abb236f548ac8317b74eacc1bfd261d0f12 (diff)
downloadslackbuilds-e2402be946f44536dd90ac69d2f447558b14541a.tar.gz
slackbuilds-e2402be946f44536dd90ac69d2f447558b14541a.tar.xz
graphics/pdf2png: Added (Converts pdf files to various image formats)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/pdf2png/README14
-rw-r--r--graphics/pdf2png/doinst.sh3
-rw-r--r--graphics/pdf2png/pdf2png.SlackBuild71
-rw-r--r--graphics/pdf2png/pdf2png.info10
-rw-r--r--graphics/pdf2png/slack-desc20
5 files changed, 118 insertions, 0 deletions
diff --git a/graphics/pdf2png/README b/graphics/pdf2png/README
new file mode 100644
index 0000000000..223a0cb438
--- /dev/null
+++ b/graphics/pdf2png/README
@@ -0,0 +1,14 @@
+pdf2png converts PDF files to image format with a simple graphical interface
+based on python, using ghostscript.
+
+It supports up to 4 different image extensions like PNG, JPEG, BMP and TIFF.
+
+How To-
+Increasing or decreasing the resolution will change the image quality.
+
+Once given correct numbers for the From page and To page,
+click on Select PDF file to open a dialog window to browse and select
+the wanted PDF book, and click on Convert to convert the selected pages.
+
+It would convert the pdf and output the image(s) in the same directory
+where the pdf resides.
diff --git a/graphics/pdf2png/doinst.sh b/graphics/pdf2png/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/pdf2png/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/pdf2png/pdf2png.SlackBuild b/graphics/pdf2png/pdf2png.SlackBuild
new file mode 100644
index 0000000000..e24c402db9
--- /dev/null
+++ b/graphics/pdf2png/pdf2png.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for pdf2png
+
+# Copyright 2014 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdf2png
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=${CWD:-$(pwd)}
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/pdf2png/pdf2png.info b/graphics/pdf2png/pdf2png.info
new file mode 100644
index 0000000000..6d8edf5df1
--- /dev/null
+++ b/graphics/pdf2png/pdf2png.info
@@ -0,0 +1,10 @@
+PRGNAM="pdf2png"
+VERSION="0.2"
+HOMEPAGE="http://github.com/aadityabagga/pdf2png"
+DOWNLOAD="http://downloads.sourceforge.net/mefiles/pdf2png-0.2.tar.gz"
+MD5SUM="e0cb426f5b7bb87cb09f4f951ae8409b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Aaditya Bagga"
+EMAIL="aaditya_gnulinux@zoho.com"
diff --git a/graphics/pdf2png/slack-desc b/graphics/pdf2png/slack-desc
new file mode 100644
index 0000000000..55485adc7a
--- /dev/null
+++ b/graphics/pdf2png/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdf2png: pdf2png (Converts pdf files to various image formats)
+pdf2png:
+pdf2png: pdf2png converts PDF files to various image formats with a simple
+pdf2png: graphical interface based on python, using ghostscript.
+pdf2png:
+pdf2png: It supports up to 4 different image extensions like PNG, JPEG,
+pdf2png: BMP and TIFF.
+pdf2png:
+pdf2png: Homepage: http://github.com/aadityabagga/pdf2png
+pdf2png:
+pdf2png:
+pdf2png: